import 'package:flyinsono/js_platform/methods.dart';
import 'package:flyinsono/managers/interfaces/live_course.dart';
import 'package:get/get.dart';

import 'base.dart';

class ExitDesktopSharing extends MethodHandlerBase {
  ExitDesktopSharing() : super(TargetMethodName.ExitDesktopSharing);
  @override
  void execute(List<String> args) {
    final liveCourseManager = Get.find<ILiveCourseManager>();
    liveCourseManager.exitDesktopSharing.emit(this, true);
  }
}
